Subject: Change USER/PASS mechanism in wu-ftpd

From: Mike Hoffmann <[email-masked]>
Date: Fri, 16 Jun 1995 08:44:40 -0500 (CDT)

Hello from a enwcomer to the list!

I have an extremely strange request that will make some shake their heads...

For one of our servers here we need to change wu-ftpd to cease using
the regular /etc/passwd based authorization. Instead it has to be adapted
and changed to be linked with a proprietary library that... *gasp* gets
its authorization information from *whimper* an IBM mainframe running VM.

Luckily the library is a nice opaque blackbox with one function that
returns a boolean value based on correct or incorrect login/password pairs.

Basically 
	int check(char *user, char *pass)
	{
		if(rightpasswd)
			return 1;
		else
			return 0;
	}

(Yes, the PW is encrypted en-route, so line snooping isn't possible ;-> At
least not between the ftpd machine and the VM host)

The question now, after browsing through the source, which would the most
logical place be, to fit in that source without causing a cascade of problems
peeking up somewhere else?

My guess was somewhere in ftpcmd.c, but at second glance I'm not so sure
anymore.

Thanks for any advice or pointers in advance!

Regards
Mike
-- 
      Mike Hoffmann                    |  Pencom Systems Administration Services
 ([email-masked],[email-masked])| On assignment @ Advantis Corp. IMS
  I'm not saying what I'm saying. I'm not saying what I'm *thinking*. For that 
     matter, I'm not even *thinking* what I'm thinking (John Sheridan, B5)